net-misc / socket-burst-dampener

A daemon that spawns one command per connection, and dampens connection bursts

Official package sites : https://github.com/zmedico/socket-burst-dampener ·

v1.3.1 :: 0 :: gentoo

Modified
License
Apache-2.0
Keywords
~amd64 ~x86
USE flags
test

General

test
Enable dependencies and/or preparations necessary to run tests (usually controlled by FEATURES=test but can be toggled independently)

python_targets

python3_10
Build with Python 3.10
python3_8
Build with Python 3.8
python3_9
Build with Python 3.9

dev-lang / python : An interpreted, interactive, object-oriented programming language

836722
net-misc/socket-burst-dampener-1.3.1 fails tests on MUSL
Repository mirror & CI · gentoo
Merge updates from master
Arthur Zamarin · gentoo
net-misc/socket-burst-dampener: drop 1.2.1, 1.3.0
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Arthur Zamarin · gentoo
net-misc/socket-burst-dampener: enable py3.10, cleanup test
Signed-off-by: Arthur Zamarin <arthurzam@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: add conditional test RESTRICT
Package-Manager: Portage-3.0.16, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: Add pytest dep
Closes: https://bugs.gentoo.org/773508 Package-Manager: Portage-3.0.16, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: Bump to version 1.3.1
Package-Manager: Portage-3.0.16, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: Bump to version 1.3.0
Package-Manager: Portage-3.0.16, Repoman-3.0.2 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove obsolete values from PYTHON_COMPAT
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: Remove old version
Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Zac Medico · gentoo
net-misc/socket-burst-dampener: PYTHON_COMPAT+=(python3_9)
Package-Manager: Portage-3.0.4, Repoman-3.0.1 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Clean PYTHON_COMPAT of obsolete impls
Closes: https://github.com/gentoo/gentoo/pull/14246 Signed-off-by: Michał Górny <mgorny@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: Bump to version 1.2.1
Package-Manager: Portage-2.3.84, Repoman-2.3.20 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Zac Medico · gentoo
net-misc/socket-burst-dampener: remove old version
Package-Manager: Portage-2.3.79, Repoman-2.3.18 Signed-off-by: Zac Medico <zmedico@gentoo.org>
Repository mirror & CI · gentoo
Merge updates from master
Michał Górny · gentoo
*/*: Remove python3_4 PYTHON_COMPAT correctly
Signed-off-by: Michał Górny <mgorny@gentoo.org>
Marty E. Plummer · gentoo
net-misc/socket-burst-dampener: remove variables from HOMEPAGE
Package-Manager: Portage-2.3.28, Repoman-2.3.9
Robin H. Johnson · gentoo
Drop $Id$ per council decision in bug #611234.
Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
Zac Medico · gentoo
net-misc/socket-burst-dampener: PYTHON_COMPAT: add python3_6
Package-Manager: Portage-2.3.3, Repoman-2.3.1
Zac Medico · gentoo
net-misc/socket-burst-dampener: shorten DESCRIPTION
Package-Manager: portage-2.3.0
Zac Medico · gentoo
net-misc/socket-burst-dampener: version bump to 1.2.0
Package-Manager: portage-2.3.0
Zac Medico · gentoo
net-misc/socket-burst-dampener: version bump to 1.1.0
Package-Manager: portage-2.3.0
Zac Medico · gentoo
net-misc/socket-burst-dampener: new package
Package-Manager: portage-2.3.0